#
# uupk07.rb
#
# $Id: uupk07.rb,v 1.1 2000/11/23 08:19:15 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


MAX = 5

#-- data ---
xnec = NArray[1.2, 2.5, 3.3, 3.7, 3.1]
xapl = NArray[1.3, 2.6, 3.8, 4.4, 4.5]
xibm = NArray[1.7, 2.2, 3.5, 4.2, 5.7]

rundef = glrget('RUNDEF')

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(0.0, 5.0, rundef, rundef)
usspnt(rundef, xibm)
usspnt(rundef, xnec)
usspnt(rundef, xapl)
usspnt(rundef, [0.0])
uspfit
grstrf

usdaxs

uusidv(0.3, 4.3)
uusarp(2999, 2999)
uvbra(rundef, xnec, rundef)
uvbrf(rundef, xnec, rundef)

uusidv(0.5, 4.5)
uusarp(3999, 3999)
uvbra(rundef, xapl, rundef)
uvbrf(rundef, xapl, rundef)

uusidv(0.7, 4.7)
uusarp(4999, 4999)
uvbra(rundef, xibm, rundef)
uvbrf(rundef, xibm, rundef)

grfrm

for i in 0..MAX-1
  xapl[i] = xnec[i] + xapl[i]
  xibm[i] = xapl[i] + xibm[i]
end

grswnd(0.0, 5.0, rundef, rundef)
usspnt(rundef, xibm)
usspnt(rundef, [0.0])
uspfit
grstrf

usdaxs

uusidv(0.5, 4.5)

uusarp(2999, 2999)
uusbrs(0.05)
uvbra(rundef, xnec, rundef)
uusarp(3999, 3999)
uvbra(rundef, xnec, xapl)
uusarp(4999, 4999)
uvbra(rundef, xapl, xibm)

uvbrf(rundef, xnec, rundef)
uvbrf(rundef, xnec, xapl)
uvbrf(rundef, xapl, xibm)

uvbrl(rundef, xnec)
uvbrl(rundef, xapl)
uvbrl(rundef, xibm)

grcls

